Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 153451 - Execution of a script doesn't allow to enter input.
Execution of a script doesn't allow to enter input.
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Petr Pisl
issues@php
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 12:16 UTC by Petr Pisl
Modified: 2009-02-19 22:52 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
The suggested patch (1.06 KB, text/plain)
2008-11-19 12:18 UTC, Petr Pisl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2008-11-19 12:16:42 UTC
Have a simple php script:
<?php 
echo 'Enter input ';
$stdin = fopen('php://stdin', 'r'); 
$line = fgets($stdin);
echo 'Entered: ' . $line;
?>

The execution is waiting for entering character, but user is not able to enter anything. So the execution of the script
has to be canceled.

The fix is simple and attached.
Comment 1 Petr Pisl 2008-11-19 12:18:15 UTC
Created attachment 73901 [details]
The suggested patch
Comment 2 Petr Pisl 2008-11-19 12:21:50 UTC
Also I think that this is candidate for the first patch of NB 6.5.

Radek, do you agree with the fix? If yes I can commit it.
Comment 3 rmatous 2008-11-19 12:53:50 UTC
Yes, thanks for fixing it.
Comment 4 Petr Pisl 2008-11-20 13:30:06 UTC
Fixed in the trunk.

Sustaining, could you import the fix to the patch?
Comment 5 Mikhail Matveev 2008-11-21 18:45:15 UTC
Verified for the last trunk build.
Comment 6 Quality Engineering 2008-11-22 04:47:53 UTC
Integrated into 'main-golden', will be available in build *200811220201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ffcddeeb921b
User: Petr Pisl <ppisl@netbeans.org>
Log: #153451 - Execution of a script doesn't allow to enter input.
Comment 7 pslechta 2008-11-25 11:07:31 UTC
The fix cannot be applied, source code was refactored and thus no such file exists in release65_fixes repository.

The fix "#153451 - Execution of a script doesn't allow to enter input." was pushed on Nov 20th.
The refactoring happened before this fix: "Actions refactored a bit" (3116f110297e) on Oct 16th.
The release65_fixes branch was created on Oct 14th, so the refactoring is not in it.

There were also API changes ("#136929 Make Execution API public (applied improvements in api)" on Nov 6th, and API
changes cannot be part of patch.

Sorry.
Removing this fix from 6.5 patch 1.
Comment 8 pslechta 2008-11-25 11:14:38 UTC
Will fix it (change is simple) in the old code...
Adding into 6.5 patch 1 again... :-)
Comment 9 pslechta 2008-11-25 11:20:09 UTC
The fix was ported into release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/d276b7b7fdd3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo